function [ detRGB ] = fceRGB( RGB,x,y )
% provede detekci pixelu s barvou kuze na RGB modelu
detRGB=zeros(x,y);
for i=1:x 
    for j=1:y
        maxIJ=max(RGB(i,j,:));
        minIJ=min(RGB(i,j,:));        
      %RGB norm svetlo
        if( (RGB(i,j,1)>50)&&(RGB(i,j,2)>40)&&(RGB(i,j,3)>20) && ( (maxIJ-minIJ)>10 ) && ((RGB(i,j,1)-RGB(i,j,2))>=10) && (RGB(i,j,1)>RGB(i,j,2)) && (RGB(i,j,1)>RGB(i,j,3))  )  %podle 11 z textu
            detRGB(i,j)=255;
        end     
        %RGB umele svetlo
        if(  (RGB(i,j,1)>220)&&(RGB(i,j,2)>210)&&(RGB(i,j,3)>170) && (abs(RGB(i,j,1)-RGB(i,j,2))<=15) && (RGB(i,j,1)>RGB(i,j,3)) && (RGB(i,j,2)>RGB(i,j,3))  ) 
            detRGB(i,j)=255;
        end       
    end
end

end

